Name:           torodb-stampede-postgres
Version:        1.0.0_beta2
Release:        20170426153438
Summary:        Replicate data from a MongoDB replica set into a PostgreSQL
License:        AGPLv3
URL:            https://www.torodb.com/stampede
Source0: assembler.tar
BuildArch:  noarch
BuildRequires: systemd
BuildRequires: java-1.8.0-openjdk-headless
BuildRequires: help2man
Requires: java-1.8.0-openjdk-headless
Requires: postgresql
Requires: postgresql-server
Requires: mongodb
Requires: openssl
Conflicts: torodb-stampede

%description

> Transform your NoSQL data from a MongoDB replica set into a relational database in PostgreSQL.

There are other solutions that are able to store the JSON document in a
relational table using PostgreSQL JSON support, but it doesn't solve the real
problem of 'how to really use that data'. ToroDB Stampede replicates the
document structure in different relational tables and stores the document data
in different tuples using those tables.

%prep
%setup -q -n assembler

%install
install -d %{buildroot}%{_sharedstatedir}/torodb-stampede
install -d %{buildroot}%{_localstatedir}/log/torodb-stampede
install -d %{buildroot}%{_localstatedir}/run/torodb-stampede
install -d %{buildroot}%{_datadir}/torodb-stampede
install -d %{buildroot}/%{_mandir}/man1/
install -p -D -m755 %{_builddir}/assembler/bin/torodb-stampede.wrapper %{buildroot}%{_bindir}/torodb-stampede
install -p -D -m755 %{_builddir}/assembler/bin/torodb-stampede-setup.wrapper %{buildroot}%{_bindir}/torodb-stampede-setup
install -p -D -m755 %{_builddir}/assembler/bin/torodb-stampede %{buildroot}%{_datadir}/torodb-stampede/bin/torodb-stampede
install -p -D -m755 %{_builddir}/assembler/bin/torodb-stampede-setup %{buildroot}%{_datadir}/torodb-stampede/bin/torodb-stampede-setup
install -p -D -m 644 %{_builddir}/assembler/systemd/torodb-stampede-postgres.service %{buildroot}%{_unitdir}/torodb-stampede.service
install -p -D -m 644 %{_builddir}/assembler/logrotate/torodb-stampede %{buildroot}%{_sysconfdir}/logrotate.d/torodb-stampede
install -p -D -m 644 %{_builddir}/assembler/conf/torodb-stampede.yml %{buildroot}%{_sysconfdir}/torodb-stampede/torodb-stampede.yml
install -p -D -m 644 %{_builddir}/assembler/sysconfig/torodb-stampede.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/torodb-stampede
install -p -D -m 644 %{_builddir}/assembler/doc/LICENSE-GNU_AGPLv3.txt %{buildroot}%{_datadir}/torodb-stampede
install -p -D -m 644 %{_builddir}/assembler/doc/README.md %{buildroot}%{_datadir}/torodb-stampede
cp -a %{_builddir}/assembler/lib %{buildroot}%{_datadir}/torodb-stampede
help2man %{buildroot}%{_datadir}/torodb-stampede/bin/torodb-stampede -N > %{buildroot}/%{_mandir}/man1/torodb-stampede.1

%files
%dir %attr(0755, torodb, root) %{_sharedstatedir}/torodb-stampede
%dir %attr(0750, torodb, root) %{_localstatedir}/log/torodb-stampede
%dir %attr(0755, torodb, root) %{_localstatedir}/run/torodb-stampede
%{_bindir}/torodb-stampede
%{_bindir}/torodb-stampede-setup
%{_datadir}/torodb-stampede/bin/torodb-stampede
%{_datadir}/torodb-stampede/bin/torodb-stampede-setup
%{_datadir}/torodb-stampede/lib/*
%config(noreplace) %{_sysconfdir}/logrotate.d/torodb-stampede
%config(noreplace) %{_sysconfdir}/torodb-stampede/torodb-stampede.yml
%config(noreplace) %{_sysconfdir}/sysconfig/torodb-stampede
%{_unitdir}/*.service
%license %{_datadir}/torodb-stampede/LICENSE-GNU_AGPLv3.txt
%doc %{_datadir}/torodb-stampede/README.md
%doc %{_mandir}/man1/torodb-stampede.1*

%pre
getent group  torodb >/dev/null || groupadd -r torodb
getent passwd torodb >/dev/null || useradd -r -g torodb \
  -d %{_sharedstatedir}/torodb-stampede -s /sbin/nologin \
  -c "ToroDB Stampede" torodb

%post
%systemd_post torodb-stampede.service

%preun
%systemd_preun torodb-stampede.service

%postun
%systemd_postun_with_restart torodb-stampede.service

%changelog
* Wed Apr 26 2017 ToroDB Developers <torodb-dev@8kdata.com> 1.0.0_beta2-20170426153438
- First release
